Index: c/src/exec/libcsupport/include/rtc.h
===================================================================
--- c/src/exec/libcsupport/include/rtc.h	(revision d6a2d7eeb1883376fc58060b324341553a0ec252)
+++ c/src/exec/libcsupport/include/rtc.h	(revision d6a2d7eeb1883376fc58060b324341553a0ec252)
@@ -0,0 +1,38 @@
+/*  rtc.h
+ *
+ *  This file describes the Real-Time Clock driver for all boards.
+ *  This driver provides support for the standard RTEMS routines
+ *  that set the tod based on an RTC.
+ *
+ *  COPYRIGHT (c) 1989-2001.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#ifndef _RTC_DRIVER_h
+#define _RTC_DRIVER_h
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#define RTC_DRIVER_TABLE_ENTRY \
+  { rtc_initialize, NULL, NULL, NULL, NULL, NULL }
+
+rtems_device_driver rtc_initialize(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: c/src/lib/ChangeLog
===================================================================
--- c/src/lib/ChangeLog	(revision 49ec556bd0785fba2f65fef5135c0a8f02d1f301)
+++ c/src/lib/ChangeLog	(revision d6a2d7eeb1883376fc58060b324341553a0ec252)
@@ -1,2 +1,6 @@
+2001-04-16      Joel Sherrill <joel@OARcorp.com>
+
+	* include/rtc.h: New file.
+	* include/Makefile.am: Updated to reflect above.
 
 2001-02-06	Joel Sherrill <joel@OARcorp.com>
Index: c/src/lib/include/Makefile.am
===================================================================
--- c/src/lib/include/Makefile.am	(revision 49ec556bd0785fba2f65fef5135c0a8f02d1f301)
+++ c/src/lib/include/Makefile.am	(revision d6a2d7eeb1883376fc58060b324341553a0ec252)
@@ -5,6 +5,6 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-include_HEADERS = bspIo.h chain.h console.h clockdrv.h iosupp.h ringbuf.h spurious.h \
-    timerdrv.h vmeintr.h
+include_HEADERS = bspIo.h chain.h console.h clockdrv.h iosupp.h ringbuf.h rtc.h \
+    spurious.h timerdrv.h vmeintr.h
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE) \
Index: c/src/lib/include/rtc.h
===================================================================
--- c/src/lib/include/rtc.h	(revision d6a2d7eeb1883376fc58060b324341553a0ec252)
+++ c/src/lib/include/rtc.h	(revision d6a2d7eeb1883376fc58060b324341553a0ec252)
@@ -0,0 +1,38 @@
+/*  rtc.h
+ *
+ *  This file describes the Real-Time Clock driver for all boards.
+ *  This driver provides support for the standard RTEMS routines
+ *  that set the tod based on an RTC.
+ *
+ *  COPYRIGHT (c) 1989-2001.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#ifndef _RTC_DRIVER_h
+#define _RTC_DRIVER_h
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#define RTC_DRIVER_TABLE_ENTRY \
+  { rtc_initialize, NULL, NULL, NULL, NULL, NULL }
+
+rtems_device_driver rtc_initialize(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: cpukit/libcsupport/include/rtc.h
===================================================================
--- cpukit/libcsupport/include/rtc.h	(revision d6a2d7eeb1883376fc58060b324341553a0ec252)
+++ cpukit/libcsupport/include/rtc.h	(revision d6a2d7eeb1883376fc58060b324341553a0ec252)
@@ -0,0 +1,38 @@
+/*  rtc.h
+ *
+ *  This file describes the Real-Time Clock driver for all boards.
+ *  This driver provides support for the standard RTEMS routines
+ *  that set the tod based on an RTC.
+ *
+ *  COPYRIGHT (c) 1989-2001.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#ifndef _RTC_DRIVER_h
+#define _RTC_DRIVER_h
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#define RTC_DRIVER_TABLE_ENTRY \
+  { rtc_initialize, NULL, NULL, NULL, NULL, NULL }
+
+rtems_device_driver rtc_initialize(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
